##### 7.5.3.0. sa_reduce

Procedure from library `central.lib` (see central_lib).

Usage:
  sa_reduce(V); V ideal

Return:
  ideal, generated by computed elements

Purpose:
  compute a subalgebra basis of an algebra generated by the elements of V

Note:
  At the moment the usage of this procedure is limited to G-algebras

Example:

    LIB "central.lib";
    ring AA = 0,(x,y,z),dp;
    matrix D[3][3]=0;
    D[1,2]=-z; D[1,3]=2*x; D[2,3]=-2*y;
    def A = nc_algebra(1,D); setring A; // this algebra is U(sl_2)
    poly f = 4*x*y+z^2-2*z; // a central polynomial
    ideal I = f, f*f, f*f*f - 10*f*f, f+3*z^3; I;
    ==> I[1]=4xy+z2-2z
    ==> I[2]=16x2y2+8xyz2+z4-32xyz-4z3+32xy+4z2
    ==> I[3]=64x3y3+48x2y2z2+12xyz4+z6-288x2y2z-96xyz3-6z5+352x2y2+224xyz2+2z4-12\
       8xyz+32z3-64xy-40z2
    ==> I[4]=3z3+4xy+z2-2z
    sa_reduce(I); // should be just f and z^3
    ==> _[1]=4xy+z2-2z
    ==> _[2]=z3

See also: sa_poly_reduce.

User manual for Singular version 4.4.1, 2025, generated by texi2html.